> For the complete documentation index, see [llms.txt](https://docs.kpnthings.com/kpn-things/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kpnthings.com/kpn-things/building-blocks/devices/sensors/kpn-filltag-i.md).

# KPN FillTag I

![KPN FillTag I](https://portal.kpnthings.com/assets/images/device-types/kpn-filltag-i.png)

First FillTag device for Waste Control application, also known as Streamline Waste device.

* Supported network type(s): `KPNLORA`
* Device Specification ID: `kpn-filltag-i`
* Device Specification UUID: `5064c9de-36c8-4a69-8edd-636c6df94332`

| Decoders                                             | decoderSpecificationUUID               | Description                                                                                                                                            |
| ---------------------------------------------------- | -------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| + LoRa Geolocation data                              | `4c0bf70f-cde5-4f5a-aac2-8480a875ec86` | Add [LoRa Geolocation](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data to messages where location could be calculated. |
| › Decoded payload for Waste Control application      | `0a56df75-1b4d-407b-b534-a20cf22cd13e` | Decoder for Streamline LoRa message type 0xD282.                                                                                                       |
| › Decoded payload for Waste Control application (v2) | `41fdc428-12cb-52b0-9e0c-e160b97bdcd5` | Decodes fields from a Streamline LoRa payload, specifically for waste control application.                                                             |

### + LoRa Geolocation data

Add [LoRa Geolocation](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data to messages where location could be calculated.

### › Decoded payload for Waste Control application

Decoder for Streamline LoRa message type 0xD282.

**Expected SenML records**

| name                               | type    | unit |
| ---------------------------------- | ------- | ---- |
| batteryLevelLow                    | boolean | /    |
| batteryLevelLow\_beacon            | boolean | /    |
| count\_LidOpen                     | number  |      |
| detectedBeacon                     | string  |      |
| distance                           | number  | m    |
| distanceMeasurementIsValid         | boolean | /    |
| lidOpenedSincePreviousTransmission | boolean | /    |
| temperature                        | number  | Cel  |

### Decoded payload for Waste Control application

Decodes fields from a Streamline LoRa payload, specifically for waste control application.

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

| name                               | type    | unit | example              | description                                             |
| ---------------------------------- | ------- | ---- | -------------------- | ------------------------------------------------------- |
| batteryLevelLow                    | boolean |      | `true`               |                                                         |
| batteryLevelLow\_beacon            | boolean |      | `false`              | the battery level low indication of the detected beacon |
| count\_LidOpen                     | number  |      | `1`                  | number of times the bin lid has been opened             |
| detectedBeacon                     | string  |      | `"a1e2093368d4e7b8"` | DevEUI of the last detected beacon                      |
| distance                           | number  | m    | `0.684`              | distance to the detected object from the fill sensor    |
| distanceMeasurementIsValid         | boolean |      | `true`               |                                                         |
| lidOpenedSincePreviousTransmission | boolean |      | `true`               |                                                         |
| temperature                        | number  | Cel  | `18.875`             |                                                         |
| timeOrigin                         | string  |      | `NETWORK`            | the source of time information for measurements         |

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

```json
[
    {
        "bn": "urn:dev:DEVEUI:4227c7e44ee76d1e:",
        "bt": 1693136532.83,
        "n": "detectedBeacon",
        "vs": "a1e2093368d4e7b8"
    },
    {
        "n": "count_LidOpen",
        "v": 1
    },
    {
        "n": "batteryLevelLow",
        "vb": true
    },
    {
        "n": "batteryLevelLow_beacon",
        "vb": false
    },
    {
        "n": "distance",
        "u": "m",
        "v": 0.684
    },
    {
        "n": "temperature",
        "u": "Cel",
        "v": 18.875
    },
    {
        "n": "lidOpenedSincePreviousTransmission",
        "vb": true
    },
    {
        "n": "distanceMeasurementIsValid",
        "vb": true
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kpnthings.com/kpn-things/building-blocks/devices/sensors/kpn-filltag-i.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
